2021-01-18 17:31 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004587Spring engineGeneralpublic2014-12-02 03:34
Reportersilentwings 
Assigned TojK 
PrioritynormalSeveritymajorReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version98.0 
Target VersionFixed in Version 
Summary0004587: lab producing non-moveable units
DescriptionSee north west corner, kbot lab owned by player insid1209, between 5 and 7 minutes.

Twice in a row, the kbot lab (which is on flat ground) builds a unit which is once built is able to turn in place but is otherwise unable to move. Previous to this, several units had exited the same lab without problem. F2 shows the unit as well within passable terrain.
Steps To ReproduceSee demo.
Additional InformationI have seen other similar cases, with other labs, but this case was the clearest one yet.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
has duplicate 0004590closedjK pathing - the first cons stuck in the lab 
has duplicate 0004574resolvedjK 97.0.1-465 Unit stuck behind structure wall. 
+Relationships

-Notes

~0013756

cleanrock (reporter)

I looked at the demo and one thing that stands out is that when rockos are completed with the help of the nano turret they are stuck.

~0013762

user744

http://replays.springrts.com/replay/71de425429d39295d7f8d310042c9086/
kbot lab of left player in first minuetes: con bots can not leave, they just rotate a bit in factory.
other units (mine clearer) can leave, after a few mine clearers exploded nearby, cons can suddendly leave too.

~0013779

silentwings (reporter)

Last edited: 2014-10-28 20:44

View 2 revisions

I spent some time trying to find a gadget workaround for this. I didn't find one but I did learn something - if you call Spring.SetUnitBlocking(factoryID,false,etc...) then the unit becomes unstuck.

(This didn't lead to a gadget workaround because I can't find a way to "reblock" the factory without making it completely blocked i.e. regardless of whether it is open/closed).

~0013780

Jools (reporter)

I looked at the replay and it's weird. I noted that map damage was off so it could not be that the mine clearers exploded away some blockign territory.

>> F2 shows the unit as well within passable terrain.

F2 shows yellow terrain, it F2 nowadays accurate?

~0013793

Google_Frog (reporter)

This consistently occurred for me with Ravagers in the South West corner of the map in this game: http://zero-k.info/Battles/Detail/305430

~0013824

Anarchid (reporter)

Occured multiple times to me here, mostly to Warriors for some reason.

http://zero-k.info/Battles/Detail/308475

~0013825

Google_Frog (reporter)

Last edited: 2014-11-17 12:10

View 2 revisions

I have increased the size of the construction zone in some factory yardmaps. This is to test whether the units are stuck because they think they cannot fit through a gap which is their size.

~0013826

silentwings (reporter)

Last edited: 2014-11-17 13:27

View 2 revisions

I am pretty sure it's not that - you can Spring.SetUnitPosition of a stuck unit, move it miles away from its lab, drop it out of the sky, whatever you like, but as soon as its back attached the ground it stays stuck.

The only thing I could find that unstuck the unit was (1) killing its lab or (2) setting its lab to be entirely non-blocking with Spring.SetUnitBlocking.

~0013827

Google_Frog (reporter)

Last edited: 2014-11-17 15:25

View 2 revisions

That is why I increased the construction area in the yardmap. If it is not a yardmap problem then tests with the large ones will make it obvious.

I just remembered to mention that I was able to drive stuck units out of the factory with FPS mode.

+Notes

-Issue History
Date Modified Username Field Change
2014-10-16 23:19 silentwings New Issue
2014-10-16 23:19 silentwings File Added: 20141016_221225_Altored Divide Remake V3_98.sdf
2014-10-17 16:46 cleanrock Note Added: 0013756
2014-10-18 23:45 user744 Note Added: 0013762
2014-10-26 13:48 abma Relationship added has duplicate 0004590
2014-10-28 20:44 silentwings Note Added: 0013779
2014-10-28 20:44 silentwings Note Edited: 0013779 View Revisions
2014-10-30 15:14 Jools Note Added: 0013780
2014-11-01 11:50 Google_Frog Note Added: 0013793
2014-11-17 09:00 Anarchid Note Added: 0013824
2014-11-17 12:09 Google_Frog Note Added: 0013825
2014-11-17 12:10 Google_Frog Note Edited: 0013825 View Revisions
2014-11-17 13:27 silentwings Note Added: 0013826
2014-11-17 13:27 silentwings Note Edited: 0013826 View Revisions
2014-11-17 15:24 Google_Frog Note Added: 0013827
2014-11-17 15:25 Google_Frog Note Edited: 0013827 View Revisions
2014-11-24 12:14 jK Changeset attached => spring develop fe21bc7a
2014-11-24 12:14 jK Assigned To => jK
2014-11-24 12:14 jK Status new => resolved
2014-11-24 12:14 jK Resolution open => fixed
2014-12-02 03:34 abma Relationship added has duplicate 0004574
+Issue History